Solid Edge Framework Type Library
SuspendMRU Method
Solid Edge Framework Type Library > Application Object : SuspendMRU Method
Description
Suspends adding files to the MRU duing the current session.
Syntax
Visual Basic
Public Sub SuspendMRU() 
Remarks
Please note that SuspendMRU has to be followed by ResumeMRU method otherwise users might face issue of file not added to MRU while using Solid Edge interactively .
Example
Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing

        Try
            objApplication = GetObject(, "SolidEdge.Application")
            objApplication.SuspendMRU()

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub    
End Class
using System;
using System.Windows.Forms;

public class Form1
{
    private void Button1_Click(object sender, EventArgs e)
    {
        SolidEdgeFramework.Application objApplication = null;

        try
        {
            objApplication = (SolidEdgeFramework.Application)Microsoft.VisualBasic.Interaction.GetObject(, "SolidEdge.Application");
            objApplication.SuspendMRU();

        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.ToString());
        }

    }
}
See Also

Application Object  | Application Members